Plume API
Roblox

/roblox/user

Get the info of a player by its name

GET
/roblox/user

Query Parameters

name*string

The player name

Length1 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://plume.sodiumlabs.xyz/api/roblox/user?name=string"
{
  "id": 0,
  "name": "string",
  "display_name": "string",
  "description": "string",
  "created_at": 0,
  "is_banned": true,
  "has_verified_badge": true,
  "friend_count": 0,
  "thumbnail_url": "string",
  "avatar_type": "R6",
  "avatar_assets": [
    {
      "id": 0,
      "name": "string",
      "type_id": 0,
      "type_name": "string"
    }
  ]
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": [
    {
      "message": "string"
    }
  ]
}
{
  "message": "string"
}